#!/bin/bash

# not sure why the following 5 lines are required. ezxpopup
# does not work with only the QTDIR defined
myfile=`basename $0`
mypath=`echo $0 | sed -e "s|$myfile||g" | sed -e "s|/$||g"`
cd $mypath
export PATH=$PATH:$mypath
export QTDIR=/usr/lib/ezx

LOGFILE=/mmc/mmca1/applyfont.log
FILEEXT=`echo "${2}" | sed -e 's/.*\.[Tt][Tt][Ff]$/ttf/'`
if [ -z "${2}" ];
then
	./ezxpopup.sh "To ApplyFont, open a .ttf file with this app." no > $LOGFILE 2>&1
elif [ -f "${2}" -a "$FILEEXT" = "ttf" ];
then
	./ezxpopup.sh "Applying font ${2}" ok > $LOGFILE 2>&1
	echo original font size >> $LOGFILE
	ls -l /usr/language/fonts/AMCSL.TTF >> $LOGFILE
	echo binding ${2} >> $LOGFILE
	if start-stop-daemon --start --quiet --chuid root --exec /bin/mount -- --bind ${2} /usr/language/fonts/AMCSL.TTF >> $LOGFILE 2>&1
	then
		echo new font size >> $LOGFILE
		ls -l /usr/language/fonts/AMCSL.TTF >> $LOGFILE
		echo restarting am >> $LOGFILE
		start-stop-daemon --stop -c root --name am
	else
		./ezxpopup.sh "Failed to apply font ${2}. Try restarting the phone." no >> $LOGFILE
	fi
else
	./ezxpopup.sh "${2} is not a valid font file." no > $LOGFILE 2>&1
fi
